Subject: bug#41266: Suggested command to import key does not work on debian

From: Julien Lepiller <[email-masked]>
Date: Sun, 17 May 2020 21:25:54 +0200

Le Thu, 14 May 2020 12:28:11 -0400,
Julien Lepiller <[email-masked]> a écrit :

> Hi,
> 
> I just installed a debian VM to test changes in the install script
> and found this issue when running the installer script:
> 
> First it fails because it cannot find the public key and suggests
> running:
> 
> wget … -q0 - | gpg --import
> 
> -q0 does not work with debian's wget, but -O works.
> 
> Aftcr importing the key, the script still complains it cannot find
> it. Re-running the same command with "sudo" in front of the gpg
> import command re-imports the key and the script is then able to find
> it.
> 
> My guess is that the first import imported the key in my user's
> keyring, but the script looks in root's keyring. The second attempt
> added the key to root's keyring.
> 

Forget the wget thing, it's my fault for not reading it properly. The
gpg command still needs to be run with sudo on at least fedora and
debian.